#!/bin/bash

APP=./simpleMPI
lrank=$OMPI_COMM_WORLD_RANK
export HSA_USERPTR_FOR_PAGED_MEM=0

case ${lrank} in
[0])
	export UCX_NET_DEVICES=mlx5_0:1
	export UCX_IB_PCI_BW=mlx5_0:50Gbs
	#export HIP_VISIBLE_DEVICES=${p1}
	numactl --cpunodebind=0 --membind=0 $APP
	;;
[1])
	export UCX_NET_DEVICES=mlx5_1:1
	export UCX_IB_PCI_BW=mlx5_1:50Gbs
	#export HIP_VISIBLE_DEVICES=${p2}
	numactl --cpunodebind=1 --membind=1 $APP
	;;
esac
